# frozen_string_literal: true

namespace :user_docs do
  desc "Build site"
  task build_site: :environment do
    procedures_dir = Rails.root.join("docs")
    hidden_dir = Rails.root.join(".docs")
    output_dir = Rails.root.join("public/docs")

    Rails::Generators.invoke("user_docs:install") unless Dir.exist?(hidden_dir)

    system("rails test #{procedures_dir}/*")
    system <<~CMD.squish
      jekyll build
      --source #{hidden_dir} --destination #{output_dir} --baseurl /docs
    CMD
  end
end
